> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Token

> Revokes token. Using the current token in the path, this endpoint updates the revoked_at field and revokes the token.

Revokes token. Using the current token in the path, this endpoint updates the `revoked_at` field and revokes the token.

This request requires a `client_id` and `client_secret` in the header. Only admins can view, generate, and rotate credentials.

## Path Parameters

<ParamField path="version" required type="string">
  API version. Indicates which FDX version is in use. Default value = `v4`.
</ParamField>

<ParamField path="token" required type="string">
  Token to be revoked.
</ParamField>

<RequestExample>
  ```shell cURL theme={null}
  curl -L -g -X DELETE 'http://{{baseurl}}/api/{{version}}/token/{{token}}' \
  -H 'Accept: application/json' \
  -H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:client_secret}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": 1,
    "tokenable_id": 1,
    "tokenable_type": "Institution",
    "token": "GspYX0FhpSTJjBL5RIthHdVRxCjAGoOqOdnHP3g3uso",
    "expires_in": 300,
    "revoked_at": "2024-07-25T19:37:55.864Z",
    "scopes": {
      "customer.modify_consent": "f339c727-1378-44c9-e053-8462cc0a5b81"
    },
    "created_at": "2024-07-24T19:37:55.864Z",
    "updated_at": "2024-07-25T19:37:55.864Z"
  }
  ```
</ResponseExample>
